Name:          retrofit
Version:       1.9.0
Release:       1%{?dist}
Summary:       A type-safe HTTP client for Android and Java
License:       ASL 2.0
URL:           http://square.github.io/retrofit/
Source0:       https://github.com/square/retrofit/archive/parent-%{version}.tar.gz
Patch0:        retrofit-1.9.0-disable-android_appengine-support.patch

BuildRequires: maven-local
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind)
BuildRequires: mvn(com.google.code.gson:gson)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.google.protobuf:protobuf-java)
BuildRequires: mvn(com.squareup.okhttp:okhttp)
# rxjava:1.0.0
BuildRequires: mvn(io.reactivex:rxjava)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.httpcomponents:httpcore)
BuildRequires: mvn(org.assertj:assertj-core)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.simpleframework:simple-xml)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(stax:stax-api)

BuildArch:     noarch

%description
Retrofit turns your HTTP API into a Java interface.

The Retrofit class generates an implementation of the
GitHubService interface.

Each Call from the created GitHubService can make
a synchronous or asynchronous HTTP request to the
remote webserver.

Use annotations to describe the HTTP request:
* URL parameter replacement and query parameter support
* Object conversion to request body (e.g., JSON,
  protocol buffers)
* Multipart request body and file upload

%package converter-jackson
Summary:       Retrofit Converter: Jackson

%description converter-jackson
A Converter which uses Jackson
for serialization to and from JSON.

%package converter-protobuf
Summary:       Retrofit Converter: Protocol Buffers

%description converter-protobuf
A Converter which uses Protocol Buffer binary serialization.

%package converter-simplexml
Summary:       Retrofit Converter: SimpleXML

%description converter-simplexml
A Converter which uses Simple for XML serialization.

%package converters
Summary:       Retrofit Converters Parent POM

%description converters
This package provides Retrofit Converters Parent POM.

%package mock
Summary:       Retrofit Mock Adapter

%description mock
Retrofit Mock Adapter.

%package parent
Summary:       Retrofit Parent POM

%description parent
This package provides Retrofit Parent POM.

%package samples
Summary:       Retrofit Samples Parent POM

%description samples
This package provides Retrofit Samples Parent POM.

%package sample-github-client
Summary:       Retrofit Sample: GitHub Client

%description sample-github-client
This package provides Retrofit Sample: GitHub Client.

%package sample-mock-github-client
Summary:       Retrofit Sample: Mock GitHub Client

%description sample-mock-github-client
This package provides Retrofit Sample: Mock GitHub Client.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-parent-%{version}
%patch0 -p1
%pom_remove_dep -r com.google.android:android
%pom_remove_dep -r com.google.appengine:appengine-api-1.0-sdk
rm -r %{name}/src/main/java/retrofit/android \
 %{name}/src/main/java/retrofit/appengine \
 %{name}/src/test/java/retrofit/appengine \
 %{name}-mock/src/main/java/retrofit/android

%pom_remove_plugin :maven-checkstyle-plugin
%pom_remove_plugin :maven-release-plugin
#com.squareup.wire:wire-runtime:1.5.2 (introduce circular dependency)
%pom_disable_module wire retrofit-converters

# package org.apache.http does not exist
%pom_add_dep org.apache.httpcomponents:httpclient:4.5 %{name}
# package org.apache.http.message does not exist
%pom_add_dep org.apache.httpcomponents:httpcore:4.4.1 %{name}

# Test suite use
%pom_remove_dep -r com.squareup.okhttp:mockwebserver

# Conflict with com.squareup.retrofit:parent
%mvn_file "com.squareup.retrofit.samples:parent" %{name}/%{name}-samples-parent
%mvn_package "com.squareup.retrofit.samples:parent" samples

%build

%mvn_build -s

%install
%mvn_install

%files -f .mfiles-%{name}
%doc CHANGELOG.md README.md
%license LICENSE.txt

%files converter-jackson -f .mfiles-converter-jackson
%doc %{name}-converters/jackson/README.md

%files converter-protobuf -f .mfiles-converter-protobuf
%doc %{name}-converters/protobuf/README.md

%files converter-simplexml -f .mfiles-converter-simplexml
%doc %{name}-converters/simplexml/README.md

%files converters -f .mfiles-%{name}-converters
%doc %{name}-converters/README.md
%license LICENSE.txt

%files mock -f .mfiles-%{name}-mock

%files samples -f .mfiles-samples
%license LICENSE.txt

%files sample-github-client -f .mfiles-github-client
%files sample-mock-github-client -f .mfiles-mock-github-client

%files parent -f .mfiles-parent
%license LICENSE.txt

%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Sun Jan 10 2016 gil cattaneo <puntogil@libero.it> 1.9.0-1
- initial rpm
